# 🚀 Leet Code Nights

Welcome to our collaborative **Leet Code Nights** problem solving group! This repository contains solutions to a variety of coding problems from platforms like [LeetCode](https://leetcode.com), [HackerRank](https://www.hackerrank.com), and others. Here, we work together as a team to solve challenging problems, improve our coding skills, and share knowledge.

## 🌐 Online Meeting

We hold regular online meetings to discuss solutions, brainstorm approaches, and help each other improve.  
- **Meeting Link**: [ViKo](https://meet.gwdg.de/b/ali-bwg-vv1-ni1)
- **Schedule**: Weekly on Wednesdays between 17:00-19:00.  

## 🤝 How to Contribute
  
1. **Clone the repository**:  
```bash
git clone git@gitlab.dkrz.de:k202202/LeetCodeNights.git
```
2. **Create a branch for your solution**:
```bash
git checkout -b feature/your-solution-name
```
3. **Commit and push your changes**:
```bash
git add .
git commit -m "Added solution for problem-name"
git push origin feature/your-solution-name
```

## 📜 Coding Guidelines
- Ensure your code is clean, readable, and well-commented.
- Add a brief description of the problem and your approach at the top of the file.
- Use descriptive variable names and consistent formatting.

## 📬 Contact & Discussions
- For queries, discussions, or sharing ideas:
- RocketChat: Join our [LeetCode](https://chat.dkrz.de/group/LeetCode) channel.
- Contact person: @k202202 (mitic@dkrz.de) or @k202194 (sedighi@dkrz.de).

## 📈 Goals
- Strengthen problem-solving skills.
- Prepare for technical interviews.
- Collaborate and learn from peers.